Mandrake Linux Security Advisory : mozilla-firefox (MDKSA-2006:037)

High Nessus Plugin ID 20877

Synopsis

The remote Mandrake Linux host is missing one or more security updates.

Description

Mozilla and Mozilla Firefox allow remote attackers to cause a denial of service (CPU consumption and delayed application startup) via a web site with a large title, which is recorded in history.dat but not processed efficiently during startup. (CVE-2005-4134)

The JavaScript interpreter (jsinterp.c) in Mozilla and Firefox before 1.5.1 does not properly dereference objects, which allows remote attackers to cause a denial of service (crash) or execute arbitrary code via unknown attack vectors related to garbage collection.
(CVE-2006-0292)

The XULDocument.persist function in Mozilla, Firefox before 1.5.0.1, and SeaMonkey before 1.0 does not validate the attribute name, which allows remote attackers to execute arbitrary JavaScript by injecting RDF data into the user's localstore.rdf file. (CVE-2006-0296)

Updated packages are patched to address these issues.

Solution

Update the affected packages.

Plugin Details

Severity: High

ID: 20877

File Name: mandrake_MDKSA-2006-037.nasl

Version: 1.13

Type: local

Published: 2006/02/10

Updated: 2018/07/19

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64nspr4, p-cpe:/a:mandriva:linux:lib64nspr4-devel, p-cpe:/a:mandriva:linux:lib64nss3, p-cpe:/a:mandriva:linux:lib64nss3-devel, p-cpe:/a:mandriva:linux:libnspr4, p-cpe:/a:mandriva:linux:libnspr4-devel, p-cpe:/a:mandriva:linux:libnss3, p-cpe:/a:mandriva:linux:libnss3-devel, p-cpe:/a:mandriva:linux:mozilla-firefox, p-cpe:/a:mandriva:linux:mozilla-firefox-devel, cpe:/o:mandriva:linux:2006

Patch Publication Date: 2006/02/07

Reference Information

CVE: CVE-2005-4134, CVE-2006-0292, CVE-2006-0296

MDKSA: 2006:037